| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::ppf_match_3d::PoseCluster3D Class Reference
Surface Matching

When multiple poses (see Pose3D) are grouped together (contribute to the same transformation) pose clusters occur. This class is a general container for such groups of poses. It is possible to store, load and perform IO on these poses. More...

`#include <opencv2/surface_matching/pose_3d.hpp>`

## Public Member Functions
| PoseCluster3D ()
| PoseCluster3D (Pose3DPtr newPose)
| PoseCluster3D (Pose3DPtr newPose, int newId)
virtual | ~PoseCluster3D ()
void | addPose (Pose3DPtr newPose)
| Adds a new pose to the cluster. The pose should be "close" to the mean poses in order to preserve the consistency. More...
int | readPoseCluster (FILE *f)
int | readPoseCluster (const std::string &FileName)
int | writePoseCluster (FILE *f)
int | writePoseCluster (const std::string &FileName)

## Public Attributes
int | id
size_t | numVotes
std::vector< Pose3DPtr > | poseList

## Detailed Description

When multiple poses (see Pose3D) are grouped together (contribute to the same transformation) pose clusters occur. This class is a general container for such groups of poses. It is possible to store, load and perform IO on these poses.

## Constructor & Destructor Documentation

## § PoseCluster3D() [1/3]

cv::ppf_match_3d::PoseCluster3D::PoseCluster3D | ( |  | ) |
| inline

## § PoseCluster3D() [2/3]

cv::ppf_match_3d::PoseCluster3D::PoseCluster3D | ( | Pose3DPtr | newPose | ) |
| inline

## § PoseCluster3D() [3/3]

cv::ppf_match_3d::PoseCluster3D::PoseCluster3D | ( | Pose3DPtr | newPose,
|  | int | newId
| ) |  |
| inline

## § ~PoseCluster3D()

virtual cv::ppf_match_3d::PoseCluster3D::~PoseCluster3D | ( |  | ) |
| inline virtual

## Member Function Documentation

## § addPose()

void cv::ppf_match_3d::PoseCluster3D::addPose | ( | Pose3DPtr | newPose | ) |

Adds a new pose to the cluster. The pose should be "close" to the mean poses in order to preserve the consistency.

Parameters

  [in] | newPose | Pose to add to the cluster

## § readPoseCluster() [1/2]

int cv::ppf_match_3d::PoseCluster3D::readPoseCluster | ( | FILE * | f | ) |

## § readPoseCluster() [2/2]

int cv::ppf_match_3d::PoseCluster3D::readPoseCluster | ( | const std::string & | FileName | ) |

## § writePoseCluster() [1/2]

int cv::ppf_match_3d::PoseCluster3D::writePoseCluster | ( | FILE * | f | ) |

## § writePoseCluster() [2/2]

int cv::ppf_match_3d::PoseCluster3D::writePoseCluster | ( | const std::string & | FileName | ) |

## Member Data Documentation

## § id

int cv::ppf_match_3d::PoseCluster3D::id

## § numVotes

size_t cv::ppf_match_3d::PoseCluster3D::numVotes

## § poseList

std::vector<Pose3DPtr> cv::ppf_match_3d::PoseCluster3D::poseList

The documentation for this class was generated from the following file:

- opencv2/surface_matching/pose_3d.hpp